## Zásady používání a ochrany soukromí aplikace OpenCanteen
Platí od 15. 5. 2022

Některé informace se mohou vztahovat pro oficiálně nevydané funkce.

[Předchozí verze](https://github.com/hernikplays/opencanteen/blob/0c96776a0e5daee1a2056ce93179b40ff06b29ca/PRIVACY.md)
### Používání
- Tato aplikace není vyvíjena nebo podporována firmou Z-WARE s.r.o. a není oficiální klient pro systém iCanteen
- Uživatel aplikace sám zodpovídá za svůj účet, údaje a chování
- Vývojář aplikace neručí za stabilitu aplikace ani za vzniklé škody, které mohly vzniknout používáním aplikace
- Použití aplikace se řídí případnými podmínkami k používání systému iCanteen

## Ochrana soukromí
- Aplikace neobsahuje žádné analytické nebo sledovací systémy
- Aplikace odesílá data pouze na URL instance systému iCanteen, kterou uživatel aplikace sám zadá
- V případě, že tato instance není zabezpečena protokolem HTTPS, neručí vývojář aplikace za vzniklá nebezpečí
- Aplikace neobsahuje reklamy
- Aplikace dlouhodobě ukládá do zařízení přihlašovací údaje uživatele (tj. přihlašovací jméno, heslo, URL k instanci) pouze v případě, že uživatel při přihlašování povolí možnost `Zapamatovat si mě`. V tom případě jsou data zašifrována a uložena na zařízení uživatele
- V opačném případě jsou údaje uložené v mezipaměti jen na dobu nezbytně nutnou a následně smazány operačním systémem
- V případě, že uživatel v nastavení povolí možnost `Ukládat jídelníček na dnešní den offline`, bude jídelníček pro daný den stažen a lokálně uložen v textové podobě na zařízení uživatele
- Každý den se jídelníček přepíše na aktuální den
- V případě, že se rozhodne tuto funkci vypnout, bude soubor automaticky odstraněn

### Kontakt
Preferovaná forma komunikace je skrze Diskuze nebo Issues.

V případech nejvyšší nutnosti je můj e-mail `contact zavináč hernikplays.cz`

## Terms of use and privacy policy of OpenCanteen
In effect from 15. 5. 2022

Some information may refer to unreleased functions of the app.

[Previous version](https://github.com/hernikplays/opencanteen/blob/0c96776a0e5daee1a2056ce93179b40ff06b29ca/PRIVACY.md)
### Usage
- This application is not developed nor endorsed by Z-WARE s.r.o. company and is not an official way to access the iCanteen system
- The user is responsible for his account, details and actions
- The application developer does not guarantee application's stability and is not responsible for any losses due to usage of this application
- In case of terms of use of the iCanteen system, you are responsible for following them when using the application

## Privacy policy
- The application does not contain any tracking, advertisment or analytics system
- The application only communicates with the iCanteen instance specified by the user
- In case the instance is not using HTTPS connection, the developer cannot be held responsible for losses or dangers
- The application stores user login details (i.e. username, password, instance URL) only  if the user checks the `Remember me` checkbox when signing in. In this case the data is encrypted and stored on the user's device
- Otherwise the data is stored locally in cache
- In case the user enables `Save today's menu offline` in the settings, the menu for the day will be downloaded and saved in plaintext form on the user's device
- The menu gets overwritten on a new day
- If the user decides to disable this function, the plaintext file will be deleted

### Contact
Prefered way of communication is through the Issues system

If it is important, my e-mail address is `contact AT hernikplays.cz`
